Index: doc/BUILD.win32
===================================================================
--- doc/BUILD.win32	(revision ed165fe64cd3d7b7c34c536019da3aed2b5e7541)
+++ doc/BUILD.win32	(revision 2983f5e8c2d3046bf01337e5caefa3af55ba6bff)
@@ -1,22 +1,31 @@
-Instructions for building the Bitlbee Win32 port
+Instructions for building BitlBee on Windows 
 ================================================
 
 1. Download the latest version using bzr (http://www.bazaar-ng.org/):
-   bzr branch http://jelmer.vernstok.nl/oss/bitlbee/bzr/win32 bitlbee-win32
+
+   H:\> bzr branch http://win32.bitlbee.org/bzr bitlbee-win32
+   ...
+
 2. Download and install the required development files: 
     from ftp://ftp.gtk.org/pub/gtk/v2.8/win32/
     - glib
     - glib-dev
-	- libiconv
-	- gettext
+    - libiconv (in dependencies/)
+    - gettext (in dependencies/)
     from http://ftp.mozilla.org/pub/mozilla.org/
-    - nss
-    - nspr
+    - nss (in security/nss/)
+    - nspr (in nspr/)
 
-I've put them inside c:\dev, so you might have the most with that location.
+3. Set the following variables in Makefile.settings, if you don't have the 
+   libraries above installed in the default directories searched by MSVC:
 
-3. Open bitlbee.dsw in VC++ and build :-)
+   - GLIB_DIR
+   - NSS_DIR
+   - NSPR_DIR
 
-4. Now you're done. When running, make sure all the required DLL's are accessible. If they can't be found, place them inside c:\winnt\system32 or the Debug or Release directories inside bitlbee-...\win32\.
+4. Build:
+
+	H:\BitlBee> nmake /f win32.mk
+	...
 
 5. To build setup files, compile the bitlbee.iss file using the Inno Setup 
Index: win32.mk
===================================================================
--- win32.mk	(revision 2983f5e8c2d3046bf01337e5caefa3af55ba6bff)
+++ win32.mk	(revision 2983f5e8c2d3046bf01337e5caefa3af55ba6bff)
@@ -0,0 +1,136 @@
+!INCLUDE Makefile.settings
+
+GLIB_CFLAGS = /I "$(GLIB_DIR)\include" \
+	      /I "$(GLIB_DIR)\include\glib-2.0" \
+	      /I "$(GLIB_DIR)\lib\glib-2.0\include"
+
+GLIB_LFLAGS = /libpath:"$(GLIB_DIR)\lib" 
+
+NSS_CFLAGS = /I "$(NSS_DIR)\include" /I "$(NSPR_DIR)\include"
+NSS_LFLAGS = /libpath:"$(NSS_DIR)\lib" /libpath:"$(NSPR_DIR)\lib" 
+NSS_LIBS = nss3.lib ssl3.lib libnspr4.lib
+
+COMMON_LIBS = kernel32.lib user32.lib advapi32.lib shell32.lib iconv.lib \
+			glib-2.0.lib gmodule-2.0.lib wsock32.lib advapi32.lib 
+
+
+MAIN_OBJS = account.obj bitlbee.obj commands.obj crypting.obj \
+	help.obj irc.obj protocols\md5.obj protocols\nogaim.obj \
+	protocols\sha.obj protocols\proxy.obj query.obj nick.obj set.obj \
+	user.obj protocols\util.obj win32.obj 
+
+MAIN_LIBS = $(COMMON_LIBS)
+
+SSL_OBJS = protocols\ssl_nss.obj
+SSL_LIBS = $(NSS_LFLAGS) $(NSS_LIBS)
+
+MSN_OBJS = \
+	protocols\msn\msn.obj \
+	protocols\msn\msn_util.obj \
+	protocols\msn\ns.obj \
+	protocols\msn\passport.obj \
+	protocols\msn\sb.obj \
+	protocols\msn\tables.obj \
+	$(SSL_OBJS)
+
+MSN_LIBS = $(COMMON_LIBS) $(SSL_LIBS)
+
+OSCAR_OBJS = \
+	protocols\oscar\admin.obj \
+	protocols\oscar\auth.obj \
+	protocols\oscar\bos.obj \
+	protocols\oscar\buddylist.obj \
+	protocols\oscar\chat.obj \
+	protocols\oscar\chatnav.obj \
+	protocols\oscar\conn.obj \
+	protocols\oscar\icq.obj \
+	protocols\oscar\im.obj \
+	protocols\oscar\info.obj \
+	protocols\oscar\misc.obj \
+	protocols\oscar\msgcookie.obj \
+	protocols\oscar\oscar.obj \
+	protocols\oscar\oscar_util.obj \
+	protocols\oscar\rxhandlers.obj \
+	protocols\oscar\rxqueue.obj \
+	protocols\oscar\search.obj \
+	protocols\oscar\service.obj \
+	protocols\oscar\snac.obj \
+	protocols\oscar\ssi.obj \
+	protocols\oscar\stats.obj \
+	protocols\oscar\tlv.obj \
+	protocols\oscar\txqueue.obj
+
+OSCAR_LIBS = $(COMMON_LIBS)
+
+JABBER_OBJS = \
+	protocols\jabber\expat.obj \
+	protocols\jabber\genhash.obj \
+	protocols\jabber\hashtable.obj \
+	protocols\jabber\jabber.obj \
+	protocols\jabber\jconn.obj \
+	protocols\jabber\jid.obj \
+	protocols\jabber\jpacket.obj \
+	protocols\jabber\jutil.obj \
+	protocols\jabber\karma.obj \
+	protocols\jabber\log.obj \
+	protocols\jabber\pool.obj \
+	protocols\jabber\pproxy.obj \
+	protocols\jabber\rate.obj \
+	protocols\jabber\str.obj \
+	protocols\jabber\xhash.obj \
+	protocols\jabber\xmlnode.obj \
+	protocols\jabber\xmlparse.obj \
+	protocols\jabber\xmlrole.obj \
+	protocols\jabber\xmltok.obj \
+	protocols\jabber\xstream.obj \
+	$(SSL_OBJS)
+
+JABBER_LIBS = $(COMMON_LIBS) $(SSL_LIBS)
+
+YAHOO_OBJS = \
+	protocols\yahoo\crypt.obj \
+	protocols\yahoo\libyahoo2.obj \
+	protocols\yahoo\vc50.idb \
+	protocols\yahoo\yahoo.obj \
+	protocols\yahoo\yahoo_fn.obj \
+	protocols\yahoo\yahoo_httplib.obj \
+	protocols\yahoo\yahoo_list.obj \
+	protocols\yahoo\yahoo_util.obj
+
+YAHOO_LIBS = $(COMMON_LIBS)
+
+CC=cl.exe
+CFLAGS=$(GLIB_CFLAGS) $(NSS_CFLAGS) /D NDEBUG /D WIN32 /D _WINDOWS \
+       /I . /I protocols /I protocols\oscar /nologo \
+       /D GLIB2 /D ARCH="\"Windows\"" /D CPU="\"x86\"" \
+       /D PLUGINDIR="plugins"
+
+.c.obj:
+	$(CC) $(CFLAGS) /c /Fo$@ $<
+
+ALL: bitlbee.exe libmsn.dll liboscar.dll libjabber.dll libyahoo.dll
+	
+LINK32=link.exe
+LINK32_FLAGS=/nologo $(GLIB_LFLAGS)
+
+bitlbee.exe: $(DEF_FILE) $(MAIN_OBJS)
+    $(LINK32) $(MAIN_LIBS) $(LINK32_FLAGS) /out:bitlbee.exe $(MAIN_OBJS)
+
+libmsn.dll: $(MSN_OBJS) 
+	$(LINK32) /DLL /SUBSYSTEM:WINDOWS /ENTRY:msn_init $(MSN_LIBS) $(LINK32_FLAGS) /out:libmsn.dll $(MSN_OBJS)
+
+libyahoo.dll: $(YAHOO_OBJS)
+	$(LINK32) /DLL /SUBSYSTEM:WINDOWS /ENTRY:yahoo_init $(YAHOO_LIBS) $(LINK32_FLAGS) /out:libyahoo.dll $(YAHOO_OBJS)
+
+liboscar.dll: $(OSCAR_OBJS)
+	$(LINK32) /DLL /SUBSYSTEM:WINDOWS /ENTRY:oscar_init $(OSCAR_LIBS) $(LINK32_FLAGS) /out:liboscar.dll $(OSCAR_OBJS)
+
+libjabber.dll: $(JABBER_OBJS)
+	$(LINK32) /DLL /SUBSYSTEM:WINDOWS /ENTRY:jabber_init $(JABBER_LIBS) $(LINK32_FLAGS) /out:libjabber.dll $(JABBER_OBJS)
+
+clean:
+	@-erase $(MAIN_OBJS)
+	@-erase $(MSN_OBJS)
+	@-erase $(JABBER_OBJS)
+	@-erase $(OSCAR_OBJS)
+	@-erase $(YAHOO_OBJS)
Index: n32/bitlbee.dsp
===================================================================
--- win32/bitlbee.dsp	(revision ed165fe64cd3d7b7c34c536019da3aed2b5e7541)
+++ 	(revision )
@@ -1,247 +1,0 @@
-# Microsoft Developer Studio Project File - Name="bitlbee" - Package Owner=<4>
-# Microsoft Developer Studio Generated Build File, Format Version 5.00
-# ** DO NOT EDIT **
-
-# TARGTYPE "Win32 (x86) Application" 0x0101
-
-CFG=bitlbee - Win32 Debug
-!MESSAGE This is not a valid makefile. To build this project using NMAKE,
-!MESSAGE use the Export Makefile command and run
-!MESSAGE 
-!MESSAGE NMAKE /f "bitlbee.mak".
-!MESSAGE 
-!MESSAGE You can specify a configuration when running NMAKE
-!MESSAGE by defining the macro CFG on the command line. For example:
-!MESSAGE 
-!MESSAGE NMAKE /f "bitlbee.mak" CFG="bitlbee - Win32 Debug"
-!MESSAGE 
-!MESSAGE Possible choices for configuration are:
-!MESSAGE 
-!MESSAGE "bitlbee - Win32 Release" (based on "Win32 (x86) Application")
-!MESSAGE "bitlbee - Win32 Debug" (based on "Win32 (x86) Application")
-!MESSAGE 
-
-# Begin Project
-# PROP Scc_ProjName ""
-# PROP Scc_LocalPath ""
-CPP=cl.exe
-MTL=midl.exe
-RSC=rc.exe
-
-!IF  "$(CFG)" == "bitlbee - Win32 Release"
-
-# PROP BASE Use_MFC 6
-# PROP BASE Use_Debug_Libraries 0
-# PROP BASE Output_Dir "Release"
-# PROP BASE Intermediate_Dir "Release"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 6
-# PROP Use_Debug_Libraries 0
-# PROP Output_Dir "Release"
-# PROP Intermediate_Dir "Release"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MD /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /D "_AFXDLL" /Yu"stdafx.h" /FD /c
-# ADD CPP /nologo /MD /W3 /GX /O2 /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "NDEBUG" /D "WIN32" /D "_WINDOWS" /D "_AFXDLL" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "NDEBUG" /d "_AFXDLL"
-# ADD RSC /l 0x409 /d "NDEBUG" /d "_AFXDLL"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 /nologo /subsystem:windows /machine:I386
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib iconv.lib glib-2.0.lib gmodule-2.0.lib wsock32.lib advapi32.lib /nologo /machine:I386 /libpath:"release" /libpath:"deps\lib"
-# SUBTRACT LINK32 /pdb:none
-
-!ELSEIF  "$(CFG)" == "bitlbee - Win32 Debug"
-
-# PROP BASE Use_MFC 6
-# PROP BASE Use_Debug_Libraries 1
-# PROP BASE Output_Dir "Debug"
-# PROP BASE Intermediate_Dir "Debug"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 6
-# PROP Use_Debug_Libraries 1
-# PROP Output_Dir "Debug"
-# PROP Intermediate_Dir "Debug"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /D "_AFXDLL" /Yu"stdafx.h" /FD /c
-# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "_DEBUG" /D "WIN32" /D "_WINDOWS" /D "_AFXDLL" /FR /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "_DEBUG" /d "_AFXDLL"
-# ADD RSC /l 0x409 /d "_DEBUG" /d "_AFXDLL"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 /nologo /subsystem:windows /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 iconv.lib glib-2.0.lib gmodule-2.0.lib wsock32.lib kernel32.lib user32.lib advapi32.lib /nologo /debug /machine:I386 /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
-# SUBTRACT LINK32 /pdb:none
-
-!ENDIF 
-
-# Begin Target
-
-# Name "bitlbee - Win32 Release"
-# Name "bitlbee - Win32 Debug"
-# Begin Group "Source Files"
-
-# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
-# Begin Source File
-
-SOURCE=..\account.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\bitlbee.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\commands.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\crypting.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\debug.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\help.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\irc.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\md5.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\nick.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\nogaim.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\proxy.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\query.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\set.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\sha.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\user.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\util.c
-
-!IF  "$(CFG)" == "bitlbee - Win32 Release"
-
-!ELSEIF  "$(CFG)" == "bitlbee - Win32 Debug"
-
-# PROP Intermediate_Dir "Debugx"
-
-!ENDIF 
-
-# End Source File
-# Begin Source File
-
-SOURCE=..\win32.c
-# End Source File
-# End Group
-# Begin Group "Header Files"
-
-# PROP Default_Filter "h;hpp;hxx;hm;inl"
-# Begin Source File
-
-SOURCE=..\account.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\bitlbee.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\commands.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\conf.h
-# End Source File
-# Begin Source File
-
-SOURCE=.\config.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\crypting.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\help.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\ini.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\irc.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\log.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\md5.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\nick.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\nogaim.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\set.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\sha.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\sock.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\user.h
-# End Source File
-# End Group
-# End Target
-# End Project
Index: n32/bitlbee.dsw
===================================================================
--- win32/bitlbee.dsw	(revision ed165fe64cd3d7b7c34c536019da3aed2b5e7541)
+++ 	(revision )
@@ -1,119 +1,0 @@
-Microsoft Developer Studio Workspace File, Format Version 5.00
-# WARNING: DO NOT EDIT OR DELETE THIS WORKSPACE FILE!
-
-###############################################################################
-
-Project: "admin"=.\admin1\admin.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-}}}
-
-###############################################################################
-
-Project: "bitlbee"=.\bitlbee.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-}}}
-
-###############################################################################
-
-Project: "bitlbee_ssl"=.\bitlbee_ssl.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-}}}
-
-###############################################################################
-
-Project: "jabber"=.\jabber.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-    Begin Project Dependency
-    Project_Dep_Name bitlbee
-    End Project Dependency
-    Begin Project Dependency
-    Project_Dep_Name bitlbee_ssl
-    End Project Dependency
-}}}
-
-###############################################################################
-
-Project: "msn"=.\msn.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-    Begin Project Dependency
-    Project_Dep_Name bitlbee
-    End Project Dependency
-    Begin Project Dependency
-    Project_Dep_Name bitlbee_ssl
-    End Project Dependency
-}}}
-
-###############################################################################
-
-Project: "oscar"=.\oscar.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-    Begin Project Dependency
-    Project_Dep_Name bitlbee
-    End Project Dependency
-}}}
-
-###############################################################################
-
-Project: "yahoo"=.\yahoo.dsp - Package Owner=<4>
-
-Package=<5>
-{{{
-}}}
-
-Package=<4>
-{{{
-    Begin Project Dependency
-    Project_Dep_Name bitlbee
-    End Project Dependency
-}}}
-
-###############################################################################
-
-Global:
-
-Package=<5>
-{{{
-}}}
-
-Package=<3>
-{{{
-}}}
-
-###############################################################################
-
Index: n32/bitlbee_ssl.dsp
===================================================================
--- win32/bitlbee_ssl.dsp	(revision ed165fe64cd3d7b7c34c536019da3aed2b5e7541)
+++ 	(revision )
@@ -1,99 +1,0 @@
-# Microsoft Developer Studio Project File - Name="bitlbee_ssl" - Package Owner=<4>
-# Microsoft Developer Studio Generated Build File, Format Version 5.00
-# ** DO NOT EDIT **
-
-# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
-
-CFG=bitlbee_ssl - Win32 Debug
-!MESSAGE This is not a valid makefile. To build this project using NMAKE,
-!MESSAGE use the Export Makefile command and run
-!MESSAGE 
-!MESSAGE NMAKE /f "bitlbee_ssl.mak".
-!MESSAGE 
-!MESSAGE You can specify a configuration when running NMAKE
-!MESSAGE by defining the macro CFG on the command line. For example:
-!MESSAGE 
-!MESSAGE NMAKE /f "bitlbee_ssl.mak" CFG="bitlbee_ssl - Win32 Debug"
-!MESSAGE 
-!MESSAGE Possible choices for configuration are:
-!MESSAGE 
-!MESSAGE "bitlbee_ssl - Win32 Release" (based on\
- "Win32 (x86) Dynamic-Link Library")
-!MESSAGE "bitlbee_ssl - Win32 Debug" (based on\
- "Win32 (x86) Dynamic-Link Library")
-!MESSAGE 
-
-# Begin Project
-# PROP Scc_ProjName ""
-# PROP Scc_LocalPath ""
-CPP=cl.exe
-MTL=midl.exe
-RSC=rc.exe
-
-!IF  "$(CFG)" == "bitlbee_ssl - Win32 Release"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 0
-# PROP BASE Output_Dir "Release"
-# PROP BASE Intermediate_Dir "Release"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 0
-# PROP Output_Dir "Release"
-# PROP Intermediate_Dir "Release"
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MT /W3 /GX /O2 /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "NDEBUG"
-# ADD RSC /l 0x409 /d "NDEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib libnspr4.lib nss3.lib ssl3.lib ws2_32.lib glib-2.0.lib /nologo /subsystem:windows /dll /machine:I386 /libpath:"release" /libpath:"deps\lib"
-
-!ELSEIF  "$(CFG)" == "bitlbee_ssl - Win32 Debug"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 1
-# PROP BASE Output_Dir "Debug"
-# PROP BASE Intermediate_Dir "Debug"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 1
-# PROP Output_Dir "Debug"
-# PROP Intermediate_Dir "Debug"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "_DEBUG"
-# ADD RSC /l 0x409 /d "_DEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib libnspr4.lib nss3.lib ssl3.lib ws2_32.lib glib-2.0.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
-
-!ENDIF 
-
-# Begin Target
-
-# Name "bitlbee_ssl - Win32 Release"
-# Name "bitlbee_ssl - Win32 Debug"
-# Begin Source File
-
-SOURCE=..\protocols\ssl_client.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\ssl_nss.c
-# End Source File
-# End Target
-# End Project
Index: n32/jabber.dsp
===================================================================
--- win32/jabber.dsp	(revision ed165fe64cd3d7b7c34c536019da3aed2b5e7541)
+++ 	(revision )
@@ -1,228 +1,0 @@
-# Microsoft Developer Studio Project File - Name="jabber" - Package Owner=<4>
-# Microsoft Developer Studio Generated Build File, Format Version 5.00
-# ** DO NOT EDIT **
-
-# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
-
-CFG=jabber - Win32 Debug
-!MESSAGE This is not a valid makefile. To build this project using NMAKE,
-!MESSAGE use the Export Makefile command and run
-!MESSAGE 
-!MESSAGE NMAKE /f "jabber.mak".
-!MESSAGE 
-!MESSAGE You can specify a configuration when running NMAKE
-!MESSAGE by defining the macro CFG on the command line. For example:
-!MESSAGE 
-!MESSAGE NMAKE /f "jabber.mak" CFG="jabber - Win32 Debug"
-!MESSAGE 
-!MESSAGE Possible choices for configuration are:
-!MESSAGE 
-!MESSAGE "jabber - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
-!MESSAGE "jabber - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
-!MESSAGE 
-
-# Begin Project
-# PROP Scc_ProjName ""
-# PROP Scc_LocalPath ""
-CPP=cl.exe
-MTL=midl.exe
-RSC=rc.exe
-
-!IF  "$(CFG)" == "jabber - Win32 Release"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 0
-# PROP BASE Output_Dir "Release"
-# PROP BASE Intermediate_Dir "Release"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 0
-# PROP Output_Dir "Release"
-# PROP Intermediate_Dir "jabrel"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MD /W3 /GX /O2 /I "..\protocols\jabber" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "NDEBUG"
-# ADD RSC /l 0x409 /d "NDEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib ws2_32.lib iconv.lib glib-2.0.lib /nologo /subsystem:windows /dll /machine:I386 /out:"Release/libjabber.dll" /libpath:"release" /libpath:"deps\lib"
-
-!ELSEIF  "$(CFG)" == "jabber - Win32 Debug"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 1
-# PROP BASE Output_Dir "jabber__"
-# PROP BASE Intermediate_Dir "jabber__"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 1
-# PROP Output_Dir "Debug"
-# PROP Intermediate_Dir "jabdeb"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "..\protocols\jabber" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "_DEBUG"
-# ADD RSC /l 0x409 /d "_DEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 odbc32.lib glib-2.0.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbccp32.lib ws2_32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /out:"Debug/libjabber.dll" /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
-
-!ENDIF 
-
-# Begin Target
-
-# Name "jabber - Win32 Release"
-# Name "jabber - Win32 Debug"
-# Begin Source File
-
-SOURCE=..\protocols\jabber\asciitab.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\expat.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\genhash.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\hashtable.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\hashtable.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\iasciitab.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\jabber.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\jabber.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\jconn.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\jid.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\jpacket.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\jutil.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\karma.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\latin1tab.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\libxode.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\log.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\log.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\nametab.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\pool.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\pproxy.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\rate.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\str.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\utf8tab.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xhash.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xmldef.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xmlnode.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xmlparse.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xmlparse.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xmlrole.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xmlrole.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xmltok.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xmltok.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xmltok_impl.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\jabber\xstream.c
-# End Source File
-# End Target
-# End Project
Index: n32/msn.dsp
===================================================================
--- win32/msn.dsp	(revision ed165fe64cd3d7b7c34c536019da3aed2b5e7541)
+++ 	(revision )
@@ -1,116 +1,0 @@
-# Microsoft Developer Studio Project File - Name="msn" - Package Owner=<4>
-# Microsoft Developer Studio Generated Build File, Format Version 5.00
-# ** DO NOT EDIT **
-
-# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
-
-CFG=msn - Win32 Debug
-!MESSAGE This is not a valid makefile. To build this project using NMAKE,
-!MESSAGE use the Export Makefile command and run
-!MESSAGE 
-!MESSAGE NMAKE /f "msn.mak".
-!MESSAGE 
-!MESSAGE You can specify a configuration when running NMAKE
-!MESSAGE by defining the macro CFG on the command line. For example:
-!MESSAGE 
-!MESSAGE NMAKE /f "msn.mak" CFG="msn - Win32 Debug"
-!MESSAGE 
-!MESSAGE Possible choices for configuration are:
-!MESSAGE 
-!MESSAGE "msn - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
-!MESSAGE "msn - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
-!MESSAGE 
-
-# Begin Project
-# PROP Scc_ProjName ""
-# PROP Scc_LocalPath ""
-CPP=cl.exe
-MTL=midl.exe
-RSC=rc.exe
-
-!IF  "$(CFG)" == "msn - Win32 Release"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 0
-# PROP BASE Output_Dir "Release"
-# PROP BASE Intermediate_Dir "Release"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 0
-# PROP Output_Dir "Release"
-# PROP Intermediate_Dir "msnrel"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MD /W3 /GX /O2 /I "e:\dev\include\nss" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "NDEBUG"
-# ADD RSC /l 0x409 /d "NDEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib ws2_32.lib iconv.lib glib-2.0.lib nss3.lib libnspr4.lib ssl3.lib /nologo /subsystem:windows /dll /machine:I386 /out:"Release/libmsn.dll" /libpath:"release" /libpath:"deps\lib"
-
-!ELSEIF  "$(CFG)" == "msn - Win32 Debug"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 1
-# PROP BASE Output_Dir "msn___Wi"
-# PROP BASE Intermediate_Dir "msn___Wi"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 1
-# PROP Output_Dir "Debug"
-# PROP Intermediate_Dir "msndeb"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "_DEBUG"
-# ADD RSC /l 0x409 /d "_DEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 odbc32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbccp32.lib ws2_32.lib glib-2.0.lib /nologo /subsystem:windows /dll /debug /machine:I386 /out:"Debug/libmsn.dll" /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
-
-!ENDIF 
-
-# Begin Target
-
-# Name "msn - Win32 Release"
-# Name "msn - Win32 Debug"
-# Begin Source File
-
-SOURCE=..\protocols\msn\msn.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\msn\msn_util.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\msn\ns.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\msn\passport.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\msn\sb.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\msn\tables.c
-# End Source File
-# End Target
-# End Project
Index: n32/oscar.dsp
===================================================================
--- win32/oscar.dsp	(revision ed165fe64cd3d7b7c34c536019da3aed2b5e7541)
+++ 	(revision )
@@ -1,204 +1,0 @@
-# Microsoft Developer Studio Project File - Name="oscar" - Package Owner=<4>
-# Microsoft Developer Studio Generated Build File, Format Version 5.00
-# ** DO NOT EDIT **
-
-# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
-
-CFG=oscar - Win32 Debug
-!MESSAGE This is not a valid makefile. To build this project using NMAKE,
-!MESSAGE use the Export Makefile command and run
-!MESSAGE 
-!MESSAGE NMAKE /f "oscar.mak".
-!MESSAGE 
-!MESSAGE You can specify a configuration when running NMAKE
-!MESSAGE by defining the macro CFG on the command line. For example:
-!MESSAGE 
-!MESSAGE NMAKE /f "oscar.mak" CFG="oscar - Win32 Debug"
-!MESSAGE 
-!MESSAGE Possible choices for configuration are:
-!MESSAGE 
-!MESSAGE "oscar - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
-!MESSAGE "oscar - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
-!MESSAGE 
-
-# Begin Project
-# PROP Scc_ProjName ""
-# PROP Scc_LocalPath ""
-CPP=cl.exe
-MTL=midl.exe
-RSC=rc.exe
-
-!IF  "$(CFG)" == "oscar - Win32 Release"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 0
-# PROP BASE Output_Dir "Release"
-# PROP BASE Intermediate_Dir "Release"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 0
-# PROP Output_Dir "Release"
-# PROP Intermediate_Dir "oscarrel"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MD /W3 /GX /O2 /I "..\protocols\oscar" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "NDEBUG"
-# ADD RSC /l 0x409 /d "NDEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib iconv.lib ws2_32.lib glib-2.0.lib /nologo /subsystem:windows /dll /machine:I386 /out:"Release/liboscar.dll" /libpath:"release" /libpath:"deps\lib"
-
-!ELSEIF  "$(CFG)" == "oscar - Win32 Debug"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 1
-# PROP BASE Output_Dir "oscar___"
-# PROP BASE Intermediate_Dir "oscar___"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 1
-# PROP Output_Dir "Debug"
-# PROP Intermediate_Dir "oscdeb"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "..\protocols\oscar" /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "_DEBUG"
-# ADD RSC /l 0x409 /d "_DEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 gmodule-2.0.lib ws2_32.lib glib-2.0.lib iconv.lib /nologo /subsystem:windows /dll /debug /machine:I386 /out:"Debug/liboscar.dll" /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
-
-!ENDIF 
-
-# Begin Target
-
-# Name "oscar - Win32 Release"
-# Name "oscar - Win32 Debug"
-# Begin Source File
-
-SOURCE=..\protocols\oscar\admin.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\aim.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\aim_cbtypes.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\aim_internal.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\auth.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\bos.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\buddylist.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\chat.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\chatnav.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\conn.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\faimconfig.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\ft.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\icq.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\im.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\info.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\misc.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\msgcookie.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\oscar.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\oscar_util.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\rxhandlers.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\rxqueue.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\search.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\service.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\snac.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\ssi.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\stats.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\tlv.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\oscar\txqueue.c
-# End Source File
-# End Target
-# End Project
Index: n32/yahoo.dsp
===================================================================
--- win32/yahoo.dsp	(revision ed165fe64cd3d7b7c34c536019da3aed2b5e7541)
+++ 	(revision )
@@ -1,152 +1,0 @@
-# Microsoft Developer Studio Project File - Name="yahoo" - Package Owner=<4>
-# Microsoft Developer Studio Generated Build File, Format Version 5.00
-# ** DO NOT EDIT **
-
-# TARGTYPE "Win32 (x86) Dynamic-Link Library" 0x0102
-
-CFG=yahoo - Win32 Debug
-!MESSAGE This is not a valid makefile. To build this project using NMAKE,
-!MESSAGE use the Export Makefile command and run
-!MESSAGE 
-!MESSAGE NMAKE /f "yahoo.mak".
-!MESSAGE 
-!MESSAGE You can specify a configuration when running NMAKE
-!MESSAGE by defining the macro CFG on the command line. For example:
-!MESSAGE 
-!MESSAGE NMAKE /f "yahoo.mak" CFG="yahoo - Win32 Debug"
-!MESSAGE 
-!MESSAGE Possible choices for configuration are:
-!MESSAGE 
-!MESSAGE "yahoo - Win32 Release" (based on "Win32 (x86) Dynamic-Link Library")
-!MESSAGE "yahoo - Win32 Debug" (based on "Win32 (x86) Dynamic-Link Library")
-!MESSAGE 
-
-# Begin Project
-# PROP Scc_ProjName ""
-# PROP Scc_LocalPath ""
-CPP=cl.exe
-MTL=midl.exe
-RSC=rc.exe
-
-!IF  "$(CFG)" == "yahoo - Win32 Release"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 0
-# PROP BASE Output_Dir "Release"
-# PROP BASE Intermediate_Dir "Release"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 0
-# PROP Output_Dir "Release"
-# PROP Intermediate_Dir "yahrel"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MT /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MD /W3 /GX /O2 /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "NDEBUG" /D "WIN32" /D "_WINDOWS" /D "HAVE_CONFIG_H" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "NDEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "NDEBUG"
-# ADD RSC /l 0x409 /d "NDEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /machine:I386
-# ADD LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib ws2_32.lib iconv.lib glib-2.0.lib /nologo /subsystem:windows /dll /machine:I386 /out:"Release/libyahoo.dll" /libpath:"release" /libpath:"deps\lib"
-
-!ELSEIF  "$(CFG)" == "yahoo - Win32 Debug"
-
-# PROP BASE Use_MFC 0
-# PROP BASE Use_Debug_Libraries 1
-# PROP BASE Output_Dir "yahoo___"
-# PROP BASE Intermediate_Dir "yahoo___"
-# PROP BASE Target_Dir ""
-# PROP Use_MFC 0
-# PROP Use_Debug_Libraries 1
-# PROP Output_Dir "Debug"
-# PROP Intermediate_Dir "yahdeb"
-# PROP Ignore_Export_Lib 0
-# PROP Target_Dir ""
-# ADD BASE CPP /nologo /MTd /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_WINDOWS" /YX /FD /c
-# ADD CPP /nologo /MDd /W3 /Gm /GX /Zi /Od /I "." /I "..\protocols" /I ".." /I "deps\include" /I "deps\include\glib-2.0" /I "deps\lib\glib-2.0\include" /D "_DEBUG" /D "WIN32" /D "_WINDOWS" /D "HAVE_CONFIG_H" /FD /c
-# SUBTRACT CPP /YX
-# ADD BASE MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD MTL /nologo /D "_DEBUG" /mktyplib203 /o NUL /win32
-# ADD BASE RSC /l 0x409 /d "_DEBUG"
-# ADD RSC /l 0x409 /d "_DEBUG"
-BSC32=bscmake.exe
-# ADD BASE BSC32 /nologo
-# ADD BSC32 /nologo
-LINK32=link.exe
-# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:windows /dll /debug /machine:I386 /pdbtype:sept
-# ADD LINK32 ws2_32.lib glib-2.0.lib gmodule-2.0.lib /nologo /subsystem:windows /dll /debug /machine:I386 /out:"Debug/libyahoo.dll" /pdbtype:sept /libpath:"debug" /libpath:"deps\lib"
-
-!ENDIF 
-
-# Begin Target
-
-# Name "yahoo - Win32 Release"
-# Name "yahoo - Win32 Debug"
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\crypt.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\libyahoo2.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo2.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo2_callbacks.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo2_types.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo_debug.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo_fn.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo_fn.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo_httplib.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo_httplib.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo_list.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo_list.h
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo_util.c
-# End Source File
-# Begin Source File
-
-SOURCE=..\protocols\yahoo\yahoo_util.h
-# End Source File
-# End Target
-# End Project
